Множественные уязвимости в MediaWiki

Дата публикации:
31.08.2012
Всего просмотров:
495
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
6
CVSSv2 рейтинг:
(AV:N/AC:M/Au:N/C:N/I:P/A:N/E:U/RL:O/RC:C) = Base:4.3/Temporal:3.2
(AV:N/AC:M/Au:N/C:N/I:P/A:N/E:U/RL:O/RC:C) = Base:4.3/Temporal:3.2
(AV:N/AC:H/Au:N/C:N/I:P/A:N/E:U/RL:O/RC:C) = Base:2.6/Temporal:1.9
(AV:N/AC:M/Au:N/C:P/I:P/A:P/E:U/RL:O/RC:C) = Base:6.8/Temporal:5
(AV:N/AC:M/Au:N/C:P/I:P/A:P/E:U/RL:O/RC:C) = Base:6.8/Temporal:5
(AV:N/AC:M/Au:N/C:P/I:N/A:N/E:U/RL:O/RC:C) = Base:4.3/Temporal:3.2
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
Раскрытие важных данных
Обход ограничений безопасности
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
MediaWiki 1.x
Уязвимые версии:
MediaWiki версий до 1.18.5
MediaWiki версий до 1.18.51.19.2

Описание:
Обнаруженные уязвимости позволяют уделенному пользователю выполнить произвольный код на целевой системе.

1. Уязвимость существует из-за недостаточной обработки входных данных через тег File: несуществующему файлу. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

2. Уязвимость существует из-за недостаточной обработки входных данных в параметре uselang в сценарии index.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

3. Уязвимость существует из-за недостаточной проверки подлинности HTTP запросов при выполнении некоторых действий. Удаленный пользователь может произвести CSRF нападение.

4. Уязвимость существует из-за ошибки при обработке IP адреса, блокирующего расширение GlobalBlocking. Удаленный пользователь может обойти ограничения безопасности на целевой системе.

5. Уязвимость существует из-за того, что приложение хранит учетные данные пользователей, используемые через авторотационные плагины, также и в локальной базе данных. Пользователь может авторизоваться с помощью старого пароля.

6. Уязвимость существует из-за ошибки при обработке функционала блокировки пользователей. Удаленный пользователь может раскрыть причину блокировки.

Примечание: Успешная эксплуатация уязвимости требует наличия административных привилегий.

URL производителя: http://wikipedia.sourceforge.net/

Решение: Для устранения уязвимостей установите исправление с сайта производителя.

Ссылки: http://lists.wikimedia.org/pipermail/mediawiki-announce/2012-August/000119.html
https://www.mediawiki.org/wiki/Release_notes/1.18
https://www.mediawiki.org/wiki/Release_notes/1.19
https://bugzilla.wikimedia.org/show_bug.cgi
https://bugzilla.wikimedia.org/show_bug.cgi
https://bugzilla.wikimedia.org/show_bug.cgi
https://bugzilla.wikimedia.org/show_bug.cgi
https://bugzilla.wikimedia.org/show_bug.cgi
https://bugzilla.wikimedia.org/show_bug.cgi

или введите имя

CAPTCHA